slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPGetSplitOperatorTerm

Gets the matrices and functions associated with the nonlinear operator in split form.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetSplitOperatorTerm(NEP nep,PetscInt k,Mat *A,FN *f)

Not Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| k | - the index of the requested term (starting in 0)

### Output Parameters

| A | - the matrix of the requested term
| f | - the function of the requested term

### See Also

NEPSetSplitOperator(), NEPGetSplitOperatorInfo()

### Level

intermediate

### Location

src/nep/interface/nepbasic.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages